Subject: [rohc] possible ambiguity in IR/IR-DYN CRC overage

From: Alan Kennington <[email-masked]>
Date: Sat, 19 Apr 2003 00:58:58 +0930

Referring to:
"ROHC Implementer's Guide"
http://www.ietf.org/internet-drafts/draft-ietf-rohc-rtp-impl-guide-03.txt
part 4.1, page 5,

==============================================================
4.1.  Padding octet in CRC

   According to Section 5.9.1, in case of IR and IR-DYN packets the CRC
   "is calculated over the entire IR or IR-DYN packet, excluding Payload
   and including CID or Add-CID octet".  Padding isn't meant to be
   meaningful part of a packet and not included in CRC calculation.  As
   a result, CRC doesn't cover the Add-CID octet for CID 0, either.
==============================================================

This seems to me to leave open an ambiguity.

Suppose I receive a packet which looks like this on a small-CID channel:

-	one or more feedback messages
-	Add-CID, CID = 0
-	IR packet type octet 11111100
-	profile byte
-	CRC
-	payload

Now I have a difficulty.
Is the Add-CID octet a padding octet?
Surely not, because RFC 3095, page 42 has a diagram which says
that padding bytes always come before the feedback.

If the Add-CID octet legal?
Well, maybe not. But what do I do if I get Add-CID after feedback?
Is this an illegal packet which must be discarded?
Or is it a legal Add-CID which is included in the CRC?
Or is it a legal padding octet (or Add-CID) which is _not_ in the CRC?

Cheers,
Alan Kennington.
Adelaide, South Australia.
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc